Retrieve Shipment Allocation Detail By Code

Prev Next
Get
/po-rest-api/rest/1/shipmentAllocationDetail

Overview

Retrieve Shipment Allocation Detail:

This endpoint retrieves shipment allocation details based on company code, vendor code, shipment number, shiplist number, PO number, and release number. It also supports an optional voucher number as query parameter.

Finders

The following finders are available for data filtering and optimizing request performance.

  • selectByCode

Select By Code

Parameter Description Example
compCode Company Code ZZ
venCode Vendor Code A1BRICKS
poNum Purchase Order Num PZZ0000855
releaseNum Purchase Order Release Num 1
shiplistNum Shiplist Num PZZ0000855
shipNum Shipment Num PZZ0000855

In addition to finder-based filtering, this endpoint also supports advanced filtering through the q parameter.

  • To retrieve records where the voucher number is null:
    /po-rest-api/rest/1/shipmentAllocationDetail?finder=selectByCode;compCode=ZZ&q=PodaVouNum is null

  • To retrieve records where the voucher number is not null:
    /po-rest-api/rest/1/shipmentAllocationDetail?finder=selectByCode;compCode=ZZ&q=PodaVouNum is not null

  • To retrieve records for a specific voucher number:
    /po-rest-api/rest/1/shipmentAllocationDetail?finder=selectByCode;compCode=ZZ&q=PodaVouNum=2034569027351

Query Standards

Key Recommended Description
finder Yes Filters data based on attributes. See finder details below. Finders can be combined using a comma delimiter between parameters that implies an "and" statement. For more information on using the finder functionality, please see [Best Practice
limit Yes A limit restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count, then the framework will return all available resources. For additional information on using the limit functionality, please visit [Best Practice
offset Yes The offset skips a specified number of items in a data list before it starts showing results. For example, if you set an offset of 10, it skips the first 10 items and begins showing from the 11th item. For additional information on using offset functionality, please visit [Best Practice
orderBy Yes The orderBy attribute retrieves rows using an order ensuring the response payload displays data in the order supplied in the URL parameter using the GET method. For more information on using orderBy functionality, please visit [Best Practice

shipmentAllocationDetail Finders

Finder Parameter Data Type Description Example Mandatory
selectByCode PODA_COMP_CODE String Company Code /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;compCode=ZZ Optional
selectByCode PODA_NUM String Purchase Order Num /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;compCode=ZZ,poNum=PZZ0000855 Optional
selectByCode PODA_RELEASE_NUM Number Purchase order release Num /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;releaseNum=1 Optional
selectByCode PODA_SHIPM_NUM String Shipment Number /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;shipNum=PZZ0000855 Optional
selectByCode PODA_SHIPLIST_NUM String Shiplist Number /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;shiplistNum=PZZ0000855 Optional
selectByCode PODA_VEN_CODE String Vendor Code /po-rest-api/rest/1/shipmentAllocationDetail?limit=25&offset=0&totalResults=true&finder=selectByCode;venCode=A1BRICKS Optional

Attributes

| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | Mandatory | n| --- | --- | --- | --- | --- | --- | --- | --- | | PodaCompCode | shipmentAllocationDetail | PodaCompCode | Company Code | String | 8 | ALT | True | | PodaCompName | shipmentAllocationDetail | PodaCompName | Company Name | String | 30 | CMiC-ZZ Test Company Incorp | False | | PodaNum | shipmentAllocationDetail | PodaNum | Purchase Order Number | String | 11 | JP000002 | True | | PodaDeptCode | shipmentAllocationDetail | PodaDeptCode | Department Code | String | 6 | 00 | True | | PodaAccCode | shipmentAllocationDetail | PodaAccCode | Account Code | String | 16 | 5200.100 | True | | PodaLineNum | shipmentAllocationDetail | PodaLineNum | Line Number | Number | 6/0 | 1 | True | | PodaAcctypCode | shipmentAllocationDetail | PodaAcctypCode | Account Type Code | String | 1 | G | False | | PodaAmt | shipmentAllocationDetail | PodaAmt | Amount | Number | 18/2 | 500.0 | False | | PodaQty | shipmentAllocationDetail | PodaQty | Quantity | Number | 16/8 | 100.0 | False | | PodaCurrCode | shipmentAllocationDetail | PodaCurrCode | Currency Code | String | 3 | US | False | | PodaLegalAmt | shipmentAllocationDetail | PodaLegalAmt | Legal Amount | Number | 18/2 | 100.0 | False | | PodaFuncAmt | shipmentAllocationDetail | PodaFuncAmt | Functional Amount | Number | 18/2 | 100.0 | False | | PodaShplCode | shipmentAllocationDetail | PodaShplCode | Ship Location Code | String | 20 | 12 | False | | PodaRecDate | shipmentAllocationDetail | PodaRecDate | Receipt Date | String | N/A | 2011-03-15 00:00:00 | False | | PodaVouDate | shipmentAllocationDetail | PodaVouDate | Voucher Date | String | N/A | 2021-02-12 00:00:00 | False | | PodaVouNum | shipmentAllocationDetail | PodaVouNum | Voucher Number | Number | N/A | 3573 | False | | PodaInvCode | shipmentAllocationDetail | PodaInvCode | Invoice Code | String | 20 | ROASTINV993 | False | | PodaInvQty | shipmentAllocationDetail | PodaInvQty | Invoice Quantity | Number | 18/8 | 0.0 | False | | PodaInvAmt | shipmentAllocationDetail | PodaInvAmt | Invoice Amount | Number | 18/2 | 10.0 | False | | PodaWmCode | shipmentAllocationDetail | PodaWmCode | WM Code | String | 2 | EA | False | | PodaVenCode | shipmentAllocationDetail | PodaVenCode | Vendor Code | String | 8 | A1WINDOW | False | | PodaItemCode | shipmentAllocationDetail | PodaItemCode | Item Code | String | 16 | FREE11 | False | | PodaItemTypeCode | shipmentAllocationDetail | PodaItemTypeCode | Item Type Code | String | 2 | IT | False | | PodaReleaseNum | shipmentAllocationDetail | PodaReleaseNum | Release Number | Number | 11/0 | 1 | True | | PodaJobCode | shipmentAllocationDetail | PodaJobCode | Job Code | String | 10 | QAJOB | False | | PodaJobCtrlCode | shipmentAllocationDetail | PodaJobCtrlCode | Job Control Code | String | 10 | ALL | False | | PodaPhsCode | shipmentAllocationDetail | PodaPhsCode | Phase Code | String | 16 | 02-200 | False | | PodaPhsCtrlCode | shipmentAllocationDetail | PodaPhsCtrlCode | Control Phase Code | String | 16 | 02 | False | | PodaCatCode | shipmentAllocationDetail | PodaCatCode | Job Category Code | String | 16 | 4000 | False | | PodaCatCtrlCode | shipmentAllocationDetail | PodaCatCtrlCode | Job Category Control Code | String | 16 | ALL | False | | PodaEqpCode | shipmentAllocationDetail | PodaEqpCode | Equipment Code | String | 10 | TRUCK1 | False | | PodaEcstCode | shipmentAllocationDetail | PodaEcstCode | ECST Code | String | 6 | T111 | False | | PodaPmCode | shipmentAllocationDetail | PodaPmCode | PM Code | String | 30 | TW00 | False | | PodaComponCode | shipmentAllocationDetail | PodaComponCode | Equipment Category Code | String | 8 | FUEL | False | | PodaTrancodeCode | shipmentAllocationDetail | PodaTrancodeCode | Transaction Code | String | 4 | FUEL | False | | PodaUnitCost | shipmentAllocationDetail | PodaUnitCost | Unit Cost | Number | 18/4 | 5.0 | False | | PodaSrcCompCode | shipmentAllocationDetail | PodaSrcCompCode | Source Company Code | String | 8 | RV1 | False | | PodaTax1Code | shipmentAllocationDetail | PodaTax1Code | Tax 1 Code | String | 11 | 01* | False |

| PodaTax2Code | shipmentAllocationDetail | PodaTax2Code | Tax 2 Code | String | 11 | 02 | False | | PodaTax3Code | shipmentAllocationDetail | PodaTax3Code | Tax 3 Code | String | 11 | IL* | False | | PodaTax1Amt | shipmentAllocationDetail | PodaTax1Amt | Tax 1 Amount | Number | 18/2 | 0.0 | False | | PodaTax2Amt | shipmentAllocationDetail | PodaTax2Amt | Tax 2 Amount | Number | 18/2 | 0.0 | False | | PodaTax3Amt | shipmentAllocationDetail | PodaTax3Amt | Tax 3 Amount | Number | 18/2 | 0.0 | False | | PodaInvTax1Amt | shipmentAllocationDetail | PodaInvTax1Amt | Invoice Tax 1 Amount | Number | 18/2 | 0.0 | False | | PodaInvTax2Amt | shipmentAllocationDetail | PodaInvTax2Amt | Invoice Tax 2 Amount | Number | 18/2 | 0.0 | False | | PodaInvTax3Amt | shipmentAllocationDetail | PodaInvTax3Amt | Invoice Tax 3 Amount | Number | 18/2 | 0.0 | False | | PodaDistTypeCode | shipmentAllocationDetail | PodaDistTypeCode | Distribution Type Code | String | 2 | G | False | | PodaLineSubNum | shipmentAllocationDetail | PodaLineSubNum | Line Sub Number | Number | 6/0 | 1 | True | | PodaTax1TaxableFlag | shipmentAllocationDetail | PodaTax1TaxableFlag | Tax 1 Taxable Flag | String | 1 | Y | False | | PodaTax2TaxableFlag | shipmentAllocationDetail | PodaTax2TaxableFlag | Tax 2 Taxable Flag | String | 1 | Y | False | | PodaTax3TaxableFlag | shipmentAllocationDetail | PodaTax3TaxableFlag | Tax 3 Taxable Flag | String | 1 | Y | False | | PodaWoCode | shipmentAllocationDetail | PodaWoCode | Work Order Code | String | 10 | WO00008 | False | | PodaWitmLineNumber | shipmentAllocationDetail | PodaWitmLineNumber | WITM Line Number | Number | 16/0 | 1 | False | | PodaExpCode | shipmentAllocationDetail | PodaExpCode | Expense Code | String | 4 | ZZ-2 | False | | PodaWDetailCode | shipmentAllocationDetail | PodaWDetailCode | W Detail Code | String | 30 | P | False | | PodaShipmNum | shipmentAllocationDetail | PodaShipmNum | Shipment Number | String | 20 | 125 | False | | PodaShiplistNum | shipmentAllocationDetail | PodaShiplistNum | Shiplist Number | String | 20 | 125 | False | | PodaShipmMethod | shipmentAllocationDetail | PodaShipmMethod | Shipment Method | String | 5 | TRUCK | False | | PodaShipLine | shipmentAllocationDetail | PodaShipLine | Shipping Line | String | 3 | CNT | False | | PodaTrnspMean | shipmentAllocationDetail | PodaTrnspMean | Means Of Transportation | String | 3 | NA | False | | PodaTrnspMeanNum | shipmentAllocationDetail | PodaTrnspMeanNum | Transportation Means Number | String | 16 | TEST | False | | PodaTrnspDocNum | shipmentAllocationDetail | PodaTrnspDocNum | Transport Document Number | String | 16 | TEST | False | | PodaRemarks | shipmentAllocationDetail | PodaRemarks | Remarks | String | 250 | (C) | False | | PodaReceiver | shipmentAllocationDetail | PodaReceiver | Receiver | String | 30 | RAVI | False | | PodaShipmRecDate | shipmentAllocationDetail | PodaShipmRecDate | Shipment Received Date | String | N/A | 2011-03-15 00:00:00 | False | | PodaIuCreateDate | shipmentAllocationDetail | PodaIuCreateDate | Record Creation Date | String | N/A | System generated | False | | PodaIuCreateUser | shipmentAllocationDetail | PodaIuCreateUser | Record Creator User | String | 30 | System generated | False | | PodaIuUpdateDate | shipmentAllocationDetail | PodaIuUpdateDate | Record Last Update Date | String | N/A | System generated | False | | PodaIuUpdateUser | shipmentAllocationDetail | PodaIuUpdateUser | Record Last Updated By | String | 30 | System generated | False | | PodaMatchingBchNum | shipmentAllocationDetail | PodaMatchingBchNum | Matching Batch Number | Number | 11/0 | 12827 | False | | PodaVUuid | shipmentAllocationDetail | PodaVUuid | Unique Identifier (UUID) | String | 64 | 2BEE1509D92E2FB4E0630B811DACCF47 | False |

Security
HTTP
Type basic

Basic authentication

Header parameters
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourceitem+json
Query parameters
limit
integer
Example25
offset
integer
Example0
totalResults
boolean
Exampletrue
finder
string
ExampleselectByCode;compCode=ZZ,venCode=A1BRICKS,shiplistNum=PZZ0000855,shipNum=PZZ0000855,releaseNum=1
q
string
ExamplePodaVouNum=2034569027351
orderBy
string
Exampledefault
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
"{\n    \"items\": [\n        {\n            \"PodaCompCode\": \"ZZ\",\n            \"PodaCompName\": \"CMiC-ZZ  Test Company Incorp\",\n            \"PodaNum\": \"PZZ0000855\",\n            \"PodaDeptCode\": \"10\",\n            \"PodaAccCode\": \"1000.175\",\n            \"PodaLineNum\": 2,\n            \"PodaAcctypCode\": \"G\",\n            \"PodaAmt\": 600,\n            \"PodaQty\": 3,\n            \"PodaCurrCode\": \"US\",\n            \"PodaLegalAmt\": null,\n            \"PodaFuncAmt\": null,\n            \"PodaShplCode\": \"PZZ0000855\",\n            \"PodaRecDate\": \"2026-03-30\",\n            \"PodaVouDate\": \"2026-03-30\",\n            \"PodaVouNum\": 2034569027351,\n            \"PodaInvCode\": \"INV45454\",\n            \"PodaInvQty\": 3,\n            \"PodaInvAmt\": 600,\n            \"PodaWmCode\": \"EA\",\n            \"PodaVenCode\": \"A1BRICKS\",\n            \"PodaItemCode\": \"A1\",\n            \"PodaItemTypeCode\": null,\n            \"PodaReleaseNum\": 1,\n            \"PodaJobCode\": null,\n            \"PodaJobCtrlCode\": null,\n            \"PodaPhsCode\": null,\n            \"PodaPhsCtrlCode\": null,\n            \"PodaCatCode\": null,\n            \"PodaCatCtrlCode\": null,\n            \"PodaEqpCode\": null,\n            \"PodaEcstCode\": null,\n            \"PodaPmCode\": null,\n            \"PodaComponCode\": null,\n            \"PodaTrancodeCode\": null,\n            \"PodaUnitCost\": 200,\n            \"PodaSrcCompCode\": \"ZZ\",\n            \"PodaTax1Code\": \"7V\",\n            \"PodaTax2Code\": null,\n            \"PodaTax3Code\": null,\n            \"PodaTax1Amt\": 47.25,\n            \"PodaTax2Amt\": 0,\n            \"PodaTax3Amt\": 0,\n            \"PodaInvTax1Amt\": 47.25,\n            \"PodaInvTax2Amt\": 0,\n            \"PodaInvTax3Amt\": 0,\n            \"PodaDistTypeCode\": null,\n            \"PodaLineSubNum\": 1,\n            \"PodaTax1TaxableFlag\": \"Y\",\n            \"PodaTax2TaxableFlag\": \"Y\",\n            \"PodaTax3TaxableFlag\": \"Y\",\n            \"PodaWoCode\": null,\n            \"PodaWitmLineNumber\": null,\n            \"PodaExpCode\": null,\n            \"PodaWDetailCode\": null,\n            \"PodaShipmNum\": \"PZZ0000855\",\n            \"PodaShiplistNum\": \"PZZ0000855\",\n            \"PodaShipmMethod\": null,\n            \"PodaShipLine\": null,\n            \"PodaTrnspMean\": null,\n            \"PodaTrnspMeanNum\": null,\n            \"PodaTrnspDocNum\": null,\n            \"PodaRemarks\": null,\n            \"PodaReceiver\": \"DA\",\n            \"PodaShipmRecDate\": \"2026-03-30\",\n            \"PodaIuCreateDate\": \"2026-03-30T10:52:57-04:00\",\n            \"PodaIuCreateUser\": \"BAVYAN\",\n            \"PodaIuUpdateDate\": \"2026-03-30T11:03:13-04:00\",\n            \"PodaIuUpdateUser\": \"BAVYAN\",\n            \"PodaMatchingBchNum\": null,\n            \"PodaVUuid\": \"4E3FD072F09B0BF7E0630B811DACF24F\",\n            \"links\": [\n                {\n                    \"rel\": \"self\",\n                    \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/shipmentAllocationDetail/4E3FD072F09B0BF7E0630B811DACF24F\",\n                    \"name\": \"shipmentAllocationDetail\",\n                    \"kind\": \"item\"\n                },\n                {\n                    \"rel\": \"canonical\",\n                    \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/shipmentAllocationDetail/4E3FD072F09B0BF7E0630B811DACF24F\",\n                    \"name\": \"shipmentAllocationDetail\",\n                    \"kind\": \"item\"\n                }\n            ]\n        }\n    ],\n    \"totalResults\": 1,\n    \"count\": 1,\n    \"hasMore\": false,\n    \"limit\": 25,\n    \"offset\": 0,\n    \"links\": [\n        {\n            \"rel\": \"self\",\n            \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/shipmentAllocationDetail\",\n            \"name\": \"shipmentAllocationDetail\",\n            \"kind\": \"collection\"\n        }\n    ]\n}"
string
Copyright © 2024 CMiC All Rights Reserved